net.sf.jasperreports.engine

## Class JRGenericElementType

- java.lang.Object
- - net.sf.jasperreports.engine.JRGenericElementType

- All Implemented Interfaces:
    java.io.Serializable

      public class JRGenericElementType
      extends java.lang.Object
      implements java.io.Serializable

  A key identifying a generic element type.

  This key is used to resolve registered export handlers for generic print elements.

  A type key is composed of a namespace (which is usually a URI associated with the organization that implemented the generic element type) and a type name.

  Version:
    $Id: JRGenericElementType.java 5878 2013-01-07 20:23:13Z teodord $
  Author:
    Lucian Chirita (lucianc@users.sourceforge.net)
  See Also:
    Serialized Form

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `JRGenericElementType(java.lang.String namespace, java.lang.String name)` Creates a generic element type key.

  - ### Method Summary

    Methods
    Modifier and Type | Method and Description
    --- | ---
    `boolean` | `equals(java.lang.Object o)`
    `java.lang.String` | `getName()` Returns the type name.
    `java.lang.String` | `getNamespace()` Returns the type namespace.
    `int` | `hashCode()`
    `java.lang.String` | `toString()`

    - ### Methods inherited from class java.lang.Object

      `clone, finalize, getClass, notify, notifyAll, wait, wait, wait`

- - ### Constructor Detail

    - #### JRGenericElementType

          public JRGenericElementType(java.lang.String namespace,
                              java.lang.String name)

      Creates a generic element type key.
      Parameters:
        `namespace` - the type namespace
        `name` - the type name

  - ### Method Detail

    - #### getNamespace

          public java.lang.String getNamespace()

      Returns the type namespace.
      Returns:
        the type namespace

    - #### getName

          public java.lang.String getName()

      Returns the type name.
      Returns:
        the type name

    - #### hashCode

          public int hashCode()

      Overrides:
        `hashCode` in class `java.lang.Object`

    - #### equals

          public boolean equals(java.lang.Object o)

      Overrides:
        `equals` in class `java.lang.Object`

    - #### toString

          public java.lang.String toString()

      Overrides:
        `toString` in class `java.lang.Object`

© 2001-2010 Jaspersoft Corporation www.jaspersoft.com